#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CFLAGS=-fPIC -DPIC',
    '--CXXFLAGS=-fPIC -DPIC',
    '--FFLAGS=-fPIC',
    '--prefix=/opt/ohpc/pub/libs/gnu8/openmpi3/petsc/3.10.3',
    '--with-batch=0',
    '--with-blaslapack-lib=/opt/ohpc/pub/libs/gnu8/openblas/0.3.5/lib/libopenblas.so',
    '--with-c-support',
    '--with-clanguage=C++',
    '--with-debugging=no',
    '--with-fortran-interfaces=1',
    '--with-hdf5-include=/opt/ohpc/pub/libs/gnu8/openmpi3/hdf5/1.10.4/include',
    '--with-hdf5-lib=/opt/ohpc/pub/libs/gnu8/openmpi3/hdf5/1.10.4/lib/libhdf5.so',
    '--with-hdf5=1',
    '--with-mpi=1',
    '--with-scalapack-dir=/opt/ohpc/pub/libs/gnu8/openmpi3/scalapack/2.0.2',
    '--with-shared-libraries',
    'PETSC_ARCH=arch-linux2-cxx-opt',
  ]
  configure.petsc_configure(configure_options)
